/*
								+-----------------------------------+
								|                                   |
								|     ***   Bitmap writer   ***     |
								|                                   |
								|    Design by Lukas Polok 2007     |
								|    Implemented by Jiri Hanus      |
								|                                   |
								|            BmpOutput.h            |
								|                                   |
								+-----------------------------------+
*/

#ifndef __BITMAP_WRITER_INCLUDED
#define __BITMAP_WRITER_INCLUDED

/*
 *	bool Save_BMP(const char *p_s_file, int n_width, int n_height,
 *		const unsigned int *p_buffer)
 *		- write RGB (windows) bitmap image to file p_s_file
 *		- returns true on success, false on failure
 *
 *		- zadn:
 *			- tahle funkce m uloit RGB bitmapu o rozmrech n_width x n_height do souboru
 *			  s nzvem p_s_file (jednodue pepsat pokud existuje)
 *			- p_buffer obsahuje jednotliv pixely bitmapy, jak jdou po dcch, zdola nahoru.
 *			- kad pixel m hodnotu (r << 16) + (g << 8) + b, kde r, g, b jsou unsigned char
 *			- vrac se true pi spchu, false pi chyb dn hlen se nevypisuje)
 */
bool Save_BMP(const char *p_s_file, int n_width, int n_height, const unsigned int *p_buffer);

#endif //__BITMAP_WRITER_INCLUDED
