/*
								+----------------------------------+
								|                                  |
								|     ***   Targa writer   ***     |
								|                                  |
								|    Design by Lukas Polok 2007    |
								|    Implemented by Vit Kolar      |
								|                                  |
								|           TgaOutput.h            |
								|                                  |
								+----------------------------------+
*/

#ifndef __TARGA_WRITER_INCLUDED
#define __TARGA_WRITER_INCLUDED

/*
 *	bool Save_TGA(const char *p_s_file, int n_width, int n_height,
 *		const unsigned int *p_buffer)
 *		- write RGB targa image to file p_s_file
 *		- returns true on success, false on failure
 *
 *		- zadn:
 *			- tahle funkce m uloit RGB 24 bpp targu (tedy bez alfa-kanlu) o rozmrech
 *			  n_width x n_height do souboru s nzvem p_s_file (jednodue pepsat pokud existuje)
 *			- p_buffer obsahuje jednotliv pixely bitmapy, jak jdou po dcch, zdola nahoru.
 *			- kad pixel m hodnotu (r << 16) + (g << 8) + b, kde r, g, b jsou unsigned char
 *			- vrac se true pi spchu, false pi chyb dn hlen se nevypisuje)
 */
bool Save_TGA(const char *p_s_file, int n_width, int n_height, const unsigned int *p_buffer);

#endif //__TARGA_WRITER_INCLUDED
